gnutls_pkcs11_add_provider(3)

NAME
gnutls_pkcs11_add_provider - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_add_provider(const char * name, const char * params);

ARGUMENTS

const char * name
    The filename of the module

const char * params
    should be NULL

DESCRIPTION
This function will load and add a PKCS 11 module to the module list used in gnutls. After this function is called the module will be used for PKCS 11 operations.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.